Subject: Re: bug#59576: 29.0.50; named-let doesn't support dynamic binding

From: Stefan Monnier <[email-masked]>
Date: Sat, 26 Nov 2022 12:45:40 -0500

> `named-let` being a looping construct, it makes little sense to use it in
> dynamic binding where TCO opportunities are severely limited. Ideally we
> should just signal an error if an attempt to use it in dynbound code is
> made. Users will thank us for that (at least they should, if they have any
> sense).

Indeed, I'm surprised I didn't put something akin to (cl-assert
lexical-binding) in that macro.  It was an oversight.

        Stefan